Archive

Archive for the ‘R4i Gold 3DS’ Category

Which card can support v1.44? Let’s collect them!

March 27, 2012 Leave a comment

Since Nintendo DSi update the firmware to v1.44, there are lots of cards are blocked and cannot work anymore, But
nothing can stop the developer. After R4i Gold 3DS said they can support v1.44 perfertly, there are many cards break
it. Let’s collect them and see which is the best.

1. R4i Gold 3DS. One thing need to say, their official is r4ids.cn not others. So first, you need comfirm your card
is from here. As i know, the R4i Gold 3DS is always fast and released the update quickly. Do you remeber that they
are the first card which can work on 3DS? And the price is cheap, Hmm….really Cost Effective!

dstwo.jpg

2. DSTwo. Almost at the same time or a littler later, The dstwo say they can support v1.44 also. And even better, you
dont need update, just go there official and download the newest kernel, put it into your card. Then done. It is
known as the best card. Almost no bad card and Strong stability. If you have a DSTwo, that means you dont need other
cards anymore. But the price is really high and to be honest, its function is good but i dont need so many functions.
If you are a freshman on flash card, you’d better buy a cheaper card as it will be pain if you damage your dstwo.
And this card is great power consumption.

3.R4i Dual Core 3DS. This is a hot card in Europe and we always call it silver apple 🙂 . The function is
great and the price is very cheap. It is even cheaper than R4i Gold 3DS. I don’t very know about this card, but i
like its package and many of our customers like order this card. I just check their official and found it need update
by ds or dsi. But if you buy the card after March 23, the card can support v1.44 without updating.

R4i-Dual-Core-250x250.jpg

4. ismartMM. This card is not very known for people. But its function is as same as DSTwo, and price is cheaper.
What’s more is that this card support LINUX system. This is interesting!

These are all the cards which can support v1.44 right now!